import Qt 4.7
import QtQuick 1.1
import com.nokia.meego 1.0
import QtMultimediaKit 1.1
import FileIO 1.0
import "./js/recitations.js" as Recitations
import "./js/settings.js" as Setting

PageStackWindow {

    // Settings
    property int fontsize : Setting.get("fontsize") != '' ? Number(Setting.get("fontsize")) : 25;
    property int recitator: Setting.get("recitator") != '' ? Number(Setting.get("recitator")) : 25;
    property bool opend: true;
    property bool openLastRead: Setting.get("openLastRead") != '' ? Setting.get("openLastRead") : false;

    property int lastReadSura: Setting.get("lastReadSura") != '' ? Number(Setting.get("lastReadSura")) : 1;
    property int lastReadAya: Setting.get("lastReadAya") != '' ? Number(Setting.get("lastReadAya")) : 1;
    property string lastReadName: Setting.get("lastReadName") != '' ? Setting.get("lastReadName") : "Al-Fatiha";
    property int caya : 1;
    property int ayac : 1;
    property string playingSuraName;
    property int playingSura: 1;
    property int playingSuraAya: 1;
    function addZeros(n) {
        if(Number(n) <  10)
            return "00"+Number(n)
        if(Number(n) > 10 && Number(n) < 100)
            return "0"+Number(n)

        return n
    }

    id: appWindow
    //initialPage:suratPage
    FontLoader { id: quranFont; source: "./font/me_quran_volt_newmet.ttf" }

    Audio {
        id: quranAya
        source: "http://www.everyayah.com/data/"+Recitations.recitations[recitator].subfolder+"/"+addZeros(playingSura)+addZeros(playingSuraAya)+".mp3"
        onStopped: {
            if(playingSuraAya < ayac)
            {
                playingSuraAya++
                quranAya.play();
            } else {
                playingSuraAya = 1
                quranAya.pause();
            }
        }
        Component.onCompleted:{
            quranAya.pause();
        }
    }

    FileIO {
        id: myFile
        source: "./data/en.ahmedali.txt"
        onError: console.log(msg)
    }

    Component.onCompleted: {
        appWindow.pageStack.push(Qt.resolvedUrl("SuratPage.qml"))
    }

    BusyIndicator {
        id: loading
        //anchors.centerIn: parent
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        running: true
        visible: true
        platformStyle: BusyIndicatorStyle { size: "large" }
    }
}
